##=============================================================================
##
##	fr30.inc
##
##	fr30 assembler header file
##
##=============================================================================
#####ECOSGPLCOPYRIGHTBEGIN####
## -------------------------------------------
## This file is part of eCos, the Embedded Configurable Operating System.
## Copyright (C) 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
##
## eCos is free software; you can redistribute it and/or modify it under
## the terms of the GNU General Public License as published by the Free
## Software Foundation; either version 2 or (at your option) any later version.
##
## eCos is distributed in the hope that it will be useful, but WITHOUT ANY
## WARRANTY; without even the implied warranty of MERCHANTABILITY or
## FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
## for more details.
##
## You should have received a copy of the GNU General Public License along
## with eCos; if not, write to the Free Software Foundation, Inc.,
## 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
##
## As a special exception, if other files instantiate templates or use macros
## or inline functions from this file, or you compile this file and link it
## with other works to produce a work based on this file, this file does not
## by itself cause the resulting work to be covered by the GNU General Public
## License. However the source code for this file must still be made available
## in accordance with section (3) of the GNU General Public License.
##
## This exception does not invalidate any other reasons why a work based on
## this file might be covered by the GNU General Public License.
##
## Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
## at http://sources.redhat.com/ecos/ecos-license/
## -------------------------------------------
#####ECOSGPLCOPYRIGHTEND####
##=============================================================================
#######DESCRIPTIONBEGIN####
##
## Author(s): 	larsi
## Contributors:larsi
## Date:	2006-06-15
## Purpose:	fr30 definitions.
## Description:	This file contains various definitions and macros that are
##              useful for writing assembly code for the fr30
## Usage:
##		#include <cyg/hal/fr30.inc>
##		...
##		
##
######DESCRIPTIONEND####
##
##=============================================================================

#------------------------------------------------------------------------------
# Exception, interrupt and thread context save area layout
# The layout of this structure is also defined in "hal_arch.h", for C
# code. Do not change this without changing that (or vice versa).

# I think the Rxx registers have to be reversed

#	.equ	fr30reg_pc,		0
#	.equ	fr30reg_ps,		fr30reg_pc+4
#	.equ	fr30reg_r0,		fr30reg_ps+4
#	.equ	fr30reg_r1,		fr30reg_r0+4
#	.equ	fr30reg_r2,		fr30reg_r1+4
#	.equ	fr30reg_r3,		fr30reg_r2+4
#	.equ	fr30reg_r4,		fr30reg_r3+4
#	.equ	fr30reg_r5,		fr30reg_r4+4
#	.equ	fr30reg_r6,		fr30reg_r5+4
#	.equ	fr30reg_r7,		fr30reg_r6+4
#	.equ	fr30reg_r8,		fr30reg_r7+4
#	.equ	fr30reg_r9,		fr30reg_r8+4
#	.equ	fr30reg_r10,		fr30reg_r9+4
#	.equ	fr30reg_r11,		fr30reg_r10+4
#	.equ	fr30reg_r12,		fr30reg_r11+4
#	.equ	fr30reg_r13,		fr30reg_r12+4
#	.equ	fr30reg_r14,		fr30reg_r13+4
#	.equ	fr30reg_r15,		fr30reg_r14+4
#	.equ	fr30reg_tbr,		fr30reg_r14+4
#	.equ	fr30reg_rp,		fr30reg_r14+4
#	.equ	fr30reg_mdh,		fr30reg_rp+4
#	.equ	fr30reg_mdl,		fr30reg_mdh+4

#------------------------------------------------------------------------------
# end of fr30.inc
